package main

import (
	"enterprise/common/config"
	"enterprise/common/global"
	_ "enterprise/plugin"
	"enterprise/server"
)

func main() {
	config.LoadServerConfig()
	config.LoadAliPay()
	config.LoadCorpConfig()
	global.InitGlobal()

	if err := server.Start(); err != nil {
		panic(err)
	}
}
